Page MenuHomePhabricator

[Regression pre-wmf.3] Cursor jumps to the beginning of the article after adding Citation/Media/Template/Formula/Graph
Closed, ResolvedPublic1 Story Points

Description

Add a Citation/Media/Template/Formula/Graph anywhere in the page with VE

Observed Result:
Cursor jumps to the beginning of the article as soon as I add these nodes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2016, 11:06 PM
Jdforrester-WMF triaged this task as High priority.Nov 15 2016, 5:47 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added subscribers: DLynch, Esanders.

Change 321915 had a related patch set uploaded (by Esanders):
Make $returnFocusTo a no-op in WindowManager

https://gerrit.wikimedia.org/r/321915

Change 321917 had a related patch set uploaded (by Esanders):
WindowManager: Allow $returnFocusTo to be null and make it the default

https://gerrit.wikimedia.org/r/321917

Esanders raised the priority of this task from High to Unbreak Now!.Nov 16 2016, 9:27 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptNov 16 2016, 9:27 PM

Change 321915 merged by jenkins-bot:
Make $returnFocusTo a no-op in WindowManager

https://gerrit.wikimedia.org/r/321915

Change 321994 had a related patch set uploaded (by Jforrester):
Make $returnFocusTo a no-op in WindowManager

https://gerrit.wikimedia.org/r/321994

Change 321995 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (83ea152)

https://gerrit.wikimedia.org/r/321995

Change 321994 merged by jenkins-bot:
Make $returnFocusTo a no-op in WindowManager

https://gerrit.wikimedia.org/r/321994

Change 321999 had a related patch set uploaded (by Jforrester):
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (01fc399)

https://gerrit.wikimedia.org/r/321999

Change 322001 had a related patch set uploaded (by Jforrester):
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (01fc399)

https://gerrit.wikimedia.org/r/322001

Change 321999 abandoned by Jforrester:
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (01fc399)

Reason:
Meh.

https://gerrit.wikimedia.org/r/321999

Change 321995 merged by jenkins-bot:
Update VE core submodule to master (83ea152)

https://gerrit.wikimedia.org/r/321995

Change 322001 merged by jenkins-bot:
Update VE core submodule to wmf/1.29.0-wmf.3 HEAD (01fc399)

https://gerrit.wikimedia.org/r/322001

Mentioned in SAL (#wikimedia-operations) [2016-11-17T00:53:24Z] <dereckson@tin> Synchronized php-1.29.0-wmf.3/extensions/VisualEditor/lib/ve/src/ui/: Make $returnFocusTo a no-op in WindowManager (T150556) (duration: 00m 49s)

Krinkle added a subscriber: Krinkle.

Change 321917 merged by jenkins-bot:
WindowManager: Allow $returnFocusTo to be null

https://gerrit.wikimedia.org/r/321917

Change 343028 had a related patch set uploaded (by Esanders):
[oojs/ui] Follow-up Iaa7dffc13: *Actually* allow $returnFocusTo to be null

https://gerrit.wikimedia.org/r/343028

Change 343028 merged by jenkins-bot:
[oojs/ui] Follow-up Iaa7dffc13: *Actually* allow $returnFocusTo to be null

https://gerrit.wikimedia.org/r/343028